Loading...
Searching...
No Matches
OdsTableCellStyle Class Reference

`#include <odstablecellstyle.h>`

## Public Member Functions

| OdsTableCellStyle ()
| ~OdsTableCellStyle ()
void | setBackgroundColor (const QColor &qcolor)
void | setTextColor (const QColor &qcolor)

## Private Attributes

QColor | _background_color
QColor | _text_color

## Friends

class | ContentXml

## Detailed Description

Definition at line 33 of file odstablecellstyle.h.

## Constructor & Destructor Documentation

## OdsTableCellStyle()

OdsTableCellStyle::OdsTableCellStyle | ( |  | ) |

Definition at line 28 of file odstablecellstyle.cpp.

{
}

## ~OdsTableCellStyle()

OdsTableCellStyle::~OdsTableCellStyle | ( |  | ) |

Definition at line 32 of file odstablecellstyle.cpp.

{
}

## Member Function Documentation

## setBackgroundColor()

void OdsTableCellStyle::setBackgroundColor | ( | const QColor & | qcolor | ) |

Definition at line 37 of file odstablecellstyle.cpp.

{
_background_color = qcolor;
}
OdsTableCellStyle::_background_color
QColor _background_color
Definition odstablecellstyle.h:44

References _background_color.

## setTextColor()

void OdsTableCellStyle::setTextColor | ( | const QColor & | qcolor | ) |

Definition at line 42 of file odstablecellstyle.cpp.

{
_text_color = qcolor;
}
OdsTableCellStyle::_text_color
QColor _text_color
Definition odstablecellstyle.h:45

References _text_color.

## Friends And Related Symbol Documentation

## ContentXml

friend class ContentXml

friend

Definition at line 35 of file odstablecellstyle.h.

References ContentXml.

Referenced by ContentXml.

## Member Data Documentation

## _background_color

QColor OdsTableCellStyle::_background_color

private

Definition at line 44 of file odstablecellstyle.h.

Referenced by setBackgroundColor().

## _text_color

QColor OdsTableCellStyle::_text_color

private

Definition at line 45 of file odstablecellstyle.h.

Referenced by setTextColor().

The documentation for this class was generated from the following files:

- odsstream/writer/options/odstablecellstyle.h
- odsstream/writer/options/odstablecellstyle.cpp